%define name terminatorX
%define version 3.55
%define release 2mdk
%define prefix /usr

%define builddir $RPM_BUILD_DIR/%{name}-%{version}

Summary: Realtime Audio Synthesizer
Name: %{name}
Version: %{version}
Release: %{release}
Group: Sound
Copyright: GPL2
URL: http://42.fht-esslingen.de/tX
Source: %{name}-%{version}.tar.bz2
Buildroot: /var/tmp/%{name}-buildroot
Requires: gtk+ >= 1.2.0 glib >= 1.2.0
Packager: Adrian Reber <adrian@42.fht-esslingen.de>

%description
terminatorX is a realtime audio synthesizer that allows you to scratch
on digitally sampled audio data (*.wav, *.au, *.mp3, etc.) the way
hiphop-DJs scratch on vinyl records. It features multiple turntables,
realtime effects and an easy-to-use gtk+ GUI.

%changelog
* Wed May 03 2000 Lenny Cartier <lenny@mandrakesoft.com> 3.55-2mdk
- fix group

* Thu Feb 24 2000 Adrian Reber <adrian@42.fht-esslingen.de>
 - Mandrake adaptations.
* Thu Feb 14 2000 Adrian Reber <adrian@42.fht-esslingen.de>
 - Updated to 3.55
* Thu Dec 17 1999 Adrian Reber <adrian@42.fht-esslingen.de>
 - Updated to 3.5
* Thu Jul 29 1999 Adrian Reber <adrian@rhlx01.fht-esslingen.de>
 - Updated to 3.2
* Fri May 07 1999 Adrian Reber <adrian@rhlx01.fht-esslingen.de>
 - Initial release

%prep
rm -rf $RPM_BUILD_ROOT

%setup -q

%build
CFLAGS="$RPM_OPT_FLAGS" CXXFLAGS="$RPM_OPT_FLAGS" ./configure \
	--prefix=%{prefix}

uname -a|grep SMP && make -j 2 || make

%install

make prefix=$RPM_BUILD_ROOT%{prefix} install-strip


MIMEDIR=$RPM_BUILD_ROOT/usr/share/mime-info
ICONDIR=$RPM_BUILD_ROOT/usr/share/pixmaps
ICONS="gnome-support/terminatorX-app.xpm gnome-support/terminatorX-mime.xpm"
MIMEFILES="gnome-support/terminatorX.keys gnome-support/terminatorX.mime"

mkdir -p $MIMEDIR
mkdir -p $ICONDIR

cp $ICONS $ICONDIR
cp $MIMEFILES $MIMEDIR

%files
%defattr(-,root,root)
%{prefix}/bin/*
%doc COPYING AUTHORS ChangeLog INSTALL NEWS README THANKS TODO
/usr/share/mime-info/terminatorX.keys
/usr/share/mime-info/terminatorX.mime
/usr/share/pixmaps/terminatorX-app.xpm
/usr/share/pixmaps/terminatorX-mime.xpm

%clean
rm -r $RPM_BUILD_ROOT
rm -r %{builddir}

